/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * リソースバンドル定義書から作成されたリソースバンドルクラス。
 */
package blanco.ibatis.message;

import java.text.MessageFormat;
import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * リソースバンドル定義[BlancoIBatisMessage/メッセージ定義[BlancoIBatis]が内部的に利用するリソースバンドルクラス。]のリソースバンドルクラス。
 *
 * このクラスはリソースバンドル定義書から自動生成されたリソースバンドルクラスです。<BR>
 */
class BlancoIBatisMessageResourceBundle {
    /**
     * リソースバンドルオブジェクト。
     *
     * 内部的に実際に入力を行うリソースバンドルを記憶します。
     */
    private ResourceBundle fResourceBundle;

    /**
     * BlancoIBatisMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoIBatisMessage]、デフォルトのロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     */
    public BlancoIBatisMessageResourceBundle() {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/ibatis/message/BlancoIBatisMessage");
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoIBatisMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoIBatisMessage]、指定されたロケール、呼び出し側のクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     */
    public BlancoIBatisMessageResourceBundle(final Locale locale) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/ibatis/message/BlancoIBatisMessage", locale);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * BlancoIBatisMessageResourceBundleクラスのコンストラクタ。
     *
     * 基底名[BlancoIBatisMessage]、指定されたロケール、指定されたクラスローダを使用して、リソースバンドルを取得します。
     *
     * @param locale ロケールの指定
     * @param loader クラスローダの指定
     */
    public BlancoIBatisMessageResourceBundle(final Locale locale, final ClassLoader loader) {
        try {
            fResourceBundle = ResourceBundle.getBundle("blanco/ibatis/message/BlancoIBatisMessage", locale, loader);
        } catch (MissingResourceException ex) {
        }
    }

    /**
     * 内部的に保持しているリソースバンドルオブジェクトを取得します。
     *
     * @return 内部的に保持しているリソースバンドルオブジェクト。
     */
    public ResourceBundle getResourceBundle() {
        return fResourceBundle;
    }

    /**
     * bundle[BlancoIBatisMessage], key[MBIBRI01]
     *
     * [指定された sourcedir [{0}] は存在しません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBIBRI01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbibri01(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定された sourcedir [{0}] は存在しません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBIBRI01");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoIBatisMessage], key[MBIBRI02]
     *
     * [指定された sourcedir [{0}] はディレクトリではありません。] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBIBRI02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbibri02(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "指定された sourcedir [{0}] はディレクトリではありません。";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBIBRI02");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoIBatisMessage], key[MBIBRP01]
     *
     * [設定された値によるデータベース接続に失敗しました。: {0}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @return key[MBIBRP01]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbibrp01(final String arg0) {
        // 初期値として定義書の値を利用します。
        String strFormat = "設定された値によるデータベース接続に失敗しました。: {0}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBIBRP01");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoIBatisMessage], key[MBIBRP02]
     *
     * [sqlMap [{0}] を読み込み時に NodeletException (XML) 例外が発生しました。この例外は、XML の記述内容の問題や、XML 内に記述されたクラスを解決できない状況を示していることが多いです。: {1}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @return key[MBIBRP02]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbibrp02(final String arg0, final String arg1) {
        // 初期値として定義書の値を利用します。
        String strFormat = "sqlMap [{0}] を読み込み時に NodeletException (XML) 例外が発生しました。この例外は、XML の記述内容の問題や、XML 内に記述されたクラスを解決できない状況を示していることが多いです。: {1}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBIBRP02");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoIBatisMessage], key[MBIBRP03]
     *
     * [sqlMap [{0}]、id [{1}] の処理中に SQL 例外が発生しました。この例外は、SQL の記述内容の問題を示していることが多いです。: {2}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @param arg2 置換文字列{2}を置換する値。java.lang.String型を与えてください。
     * @return key[MBIBRP03]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbibrp03(final String arg0, final String arg1, final String arg2) {
        // 初期値として定義書の値を利用します。
        String strFormat = "sqlMap [{0}]、id [{1}] の処理中に SQL 例外が発生しました。この例外は、SQL の記述内容の問題を示していることが多いです。: {2}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBIBRP03");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1, arg2}, strbuf, null);
        return strbuf.toString();
    }

    /**
     * bundle[BlancoIBatisMessage], key[MBIBRP04]
     *
     * [sqlMap [{0}]、id [{1}] の処理中に ProbeExceptoin 例外が発生しました。この例外は、動的 SQL パラメータを処理できない場合を示していることが多いです。: {2}] (ja)<br>
     *
     * @param arg0 置換文字列{0}を置換する値。java.lang.String型を与えてください。
     * @param arg1 置換文字列{1}を置換する値。java.lang.String型を与えてください。
     * @param arg2 置換文字列{2}を置換する値。java.lang.String型を与えてください。
     * @return key[MBIBRP04]に対応する値。外部から読み込みができない場合には、定義書の値を戻します。必ずnull以外の値が戻ります。
     */
    public String getMbibrp04(final String arg0, final String arg1, final String arg2) {
        // 初期値として定義書の値を利用します。
        String strFormat = "sqlMap [{0}]、id [{1}] の処理中に ProbeExceptoin 例外が発生しました。この例外は、動的 SQL パラメータを処理できない場合を示していることが多いです。: {2}";
        try {
            if (fResourceBundle != null) {
                strFormat = fResourceBundle.getString("MBIBRP04");
            }
        } catch (MissingResourceException ex) {
        }
        final MessageFormat messageFormat = new MessageFormat(strFormat);
        final StringBuffer strbuf = new StringBuffer();
        // 与えられた引数を元に置換文字列を置き換えます。
        messageFormat.format(new Object[] {arg0, arg1, arg2}, strbuf, null);
        return strbuf.toString();
    }
}
